{{ config(materialized='table', alias='top_selling_product') }}

SELECT
CREATED_AT as Order_Date,TITLE AS PRODUCT_TITLE,SUM(SALES) AS SALES, COUNT(TITLE) AS TOTAL_NUMBER_OF_PRODUCTS FROM
(
SELECT
P.TITLE, sale.CREATED_AT,P.PRODUCT_TYPE, P.VENDOR, P.STATUS, SALE.SALES
FROM (
SELECT
    PRODUCT_ID, O.CREATED_AT::DATE AS CREATED_AT,ROUND(SUM(TOTAL_PRICE),2) AS SALES
FROM "FIVETRAN_DATABASE"."SHOPIFY_DS"."ORDER_LINE" OL
LEFT JOIN "FIVETRAN_DATABASE"."SHOPIFY_DS"."ORDER" O ON O.ID = OL.ORDER_ID
group by 1,2
)SALE
LEFT JOIN "FIVETRAN_DATABASE"."SHOPIFY_DS"."PRODUCT" P ON SALE.PRODUCT_ID = P.ID
WHERE P.TITLE IS NOT NULL
)A
GROUP BY 1,2
ORDER BY SALES DESC